{% extends 'ElbotradeLayoutBundle:Layout:base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradeproduct/stylesheets/colorbox.css') }}"/>
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradecatalog/stylesheets/style_catalog.css') }}"/>
    <script src="{{ asset('bundles/elbotradeproduct/js/jquery.colorbox-min.js') }}"></script>
{% endblock %}

{% block header %}
    {% set active = 'catalog' %}
    {{ parent() }}
{% endblock %}

{% block content %}
    <main class="text-center">
        <!--Section 1-->
        <section class="well-xs">
            <div class="container container-wide">
                <h2>Katalógy</h2>
                {% for catalogCategory in catalogCategories %}
                    <div class="row">
                        <div class="col-lg-10 col-lg-offset-1 col-sm-10 col-sm-offset-1 text-left">
                            <h3>{{ catalogCategory }}</h3>
                        </div>
                    </div>
                    <div class="row">
                        {% set count = 0 %}
                        {% for catalog in catalogCategory.catalogs %}
                            {% set count = count + 1 %}
                            <div class="col-lg-2 col-md-3 col-sm-4 col-xs-6 item">
                                {% thumbnail catalog.firstImage, 'small' %}
                                <div class="pull-left overlay">
                                    <a class="icon icon-xs fa-download" {% if catalog.pdf is not null %}target="_blank" href="{% path catalog.pdf, 'reference' %}"{% else %}disabled="disabled"{% endif %}></a>
                                    <a class="catalog icon icon-xs fa-eye" href="{% path catalog.pdf, 'reference' %}"></a> {#{{ path('elbotrade-catalog-show', {'id': catalog.id}) }}#}
                                </div>
                                <p>{{ catalog }}</p>
                            </div>
                            {% if count is divisible by(3) %}
                                <div class="clearfix visible-sm-block"></div>
                            {% elseif count is divisible by(2) %}
                                <div class="clearfix visible-xs-block"></div>
                            {% endif %}

                        {% endfor %}
                    </div>
                {% endfor %}
            </div>
        </section>
    </main>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}"/>
    <script type="text/javascript">
        $(document).ready(function () {
            $(".catalog").fancybox({
                width: "95%",
                height: "98%",
                type: "iframe"
            });
        })
    </script>
{% endblock %}